#pragma once
#include "P15File.h"
#include "PublicKeyObject.h"

class CP15PuKDF :
	public CP15File
{
public:
	CP15PuKDF(void);
	~CP15PuKDF(void);

	// Método para codificar una cadena de bytes y convertirla a formato ASN1
	int EncodeASN1( CPKCS11Object *pObj11 );
	int EncodeASN1( CPKCS11Object *pObj11, byteBuffer & efEncoded );

	// Método para pasar las claves públicas a P11
	int DecodeObject(byteBuffer & pukdfEntry);
};
